#pragma once

#include <list>

class CVirtualBodiesList;

namespace nV
{

	class Body;
	class PhysicsWorld;

	class BodyMngr
	{
		friend class PhysicsWorld;
		friend class Body;

		CVirtualBodiesList* pBodyList;
		std::list<Body*> Bodies;
		
		PhysicsWorld* pWorld;

	protected:
		BodyMngr(void);
		~BodyMngr(void);
	public:

		Body* Create();
		void Destroy(Body* pBody);
	};
}