#pragma once
#include ".\shape.h"

class CBoxShape;

namespace nV
{
	class BoxShape :
		public Shape
	{
		friend class ShapeMngr;
		friend class Body;

		CBoxShape* pShape;
	protected:
		BoxShape(CBoxShape*);
		~BoxShape(void);
	public:

		virtual nvReal GetBoundingRadius();
		virtual nvReal GetBoundingRadiusSqr();


		// get the type before u cast
		virtual Shape::eShapeType GetType();

		void GetDimensions(nvReal &x,nvReal &y,nvReal &z);


	};
}
