#pragma once
#include "./shape.h"

class CTriMeshShape;

namespace nV
{
	
	class TriMeshShape : public Shape
	{
		friend class ShapeMngr;
		friend class Body;

		CTriMeshShape* pShape;

	protected:
		TriMeshShape(CTriMeshShape*);
		~TriMeshShape(void);
	public:

		virtual nvReal GetBoundingRadius();
		virtual nvReal GetBoundingRadiusSqr();


		// get the type before u cast
		virtual Shape::eShapeType GetType();


		// TriMeshShapeSpecific:
		void Begin();
		void End();
		void AddTriangle(nvReal* V1,nvReal* V2,nvReal* V3);

	};
}