#ifndef _TWISTER_BSPFACEPOLYGON_H_
#define _TWISTER_BSPFACEPOLYGON_H_
/********************************************************
*	bspfacepolygon.h                                    *
* By Shady El Mously									*
* Part of the Twister 3d engine							*
* declaration file for the sBSPFacePolygon class		*
********************************************************/
#include "bspface.h"

/********************************************************
*	sBSPFacePolygon										*
*	a face that gets renered as a triangle fan			*
********************************************************/
struct sBSPFacePolygon : public sBSPFace
{
    inline void Render()
    {
        m_pTexture->Activate();
        m_pLightMap->Activate(1);
        pMesh->RenderFan(m_FirstVertexIndex,m_NumVertices);
    }
};
/*-----------end of sBSPFacePolygon declaration--------*/
#endif // _TWISTER_BSPFACEPOLYGON_H_
