#ifndef _TWISTER_RENDERABLE_H_
#define _TWISTER_RENDERABLE_H_

/****************************************************
*   renderable.h                                    *
*   this is an interface for renderable objects     *
*   in essence, they just have to implement a       *
*   render() functions..                            *
****************************************************/
struct iRenderable
{
public:

    // any renderable must implement this
    virtual void Render()=0;

    // destructor is virtual
    virtual ~iRenderable(){}

};
/*---------------end of irenderable-----------------*/


#endif //_TWISTER_RENDERABLE_H_