#ifndef _SIMPLE_3D_MESH_H_
#define _SIMPLE_3D_MESH_H_


/********************************************************
*	simplemesh.h										*
*	header declaration file for the simple 3d mesh class*
********************************************************/
#include "mesh.h"
#include <d3d9.h>
#include <vector>

using std::vector;
/********************************************************
*	struct sSimpleMesh declaration						*
*	a simple mesh is simply a set of vertices, which are*
*	used to render sequentially, this class would act	*
*	as a base for the indexed mesh later				*
********************************************************/
struct sSimpleMesh : public sMesh
{
	// default constructor.. just make the default mode TRIANGLES
	sSimpleMesh();

	// destructor, relases the vertex buffer..
	~sSimpleMesh();



};
/*---------end of struct sSimpleMesh declaration-------*/



#endif // _SIMPLE_3D_MESH_H_