#ifndef _TWSITER_VERTEXSHADER_H_
#define _TWSITER_VERTEXSHADER_H_

/****************************************************
*	vertexshader.h									*
*	header file for the vertex shader class			*
*	which eases loading/mannipulating a vertex		*
*	shader											*
****************************************************/
#include "shader.h"		//	base shader class

/****************************************************
*	class cVertexShader Declaration					*
****************************************************/
class cVertexShader : public cShader
{
public:
    cVertexShader(char* pFileName)
    {
        m_pInternalShader=MeshCompiler()->CreateVertexShader(pFileName);;
    }
};
/*------end of class cVertexShader declaration-----*/
#endif // _TWSITER_VERTEXSHADER_H_