#ifndef _TWISTER_TESTURE_FONT_H_
#define _TWISTER_TESTURE_FONT_H_

#include "../3dtypes/texture.h"

class cTextureFont
{
private:


    sTexture* m_pFontTexture;


public:

    // construct the texture font
    // the texture should be a 32 bit targa file with alpha channel
    cTextureFont(const char *pFileName)
    {
        m_pFontTexture=new sTexture(pFileName);
    }


    virtual ~cTextureFont()
    {
        SAFE_DELETE(m_pFontTexture);
    }


    // the printing function
    void Print(float x,float y,char* string);


};



#endif // _TWISTER_TESTURE_FONT_H_