/********************************************************
*	string.h											*
*	By Shady el mously									*
*	part of the Twister 3d engine						*
*	this is the header for the sring class used in the	*
*	engine, it has some simple parsing capabilities		*
********************************************************/
#ifndef _STRING_H_
#define _STRING_H_

#include <string>
#include <vector>
using std::vector;
using std::string;

/********************************************************
*	class  String										*
*	By Shady el Mously									*
*	a simple string class..								*
*	inhertied from the std::string						*
*	has support for Splitting strings					*
*	and reading them from files							*
*********************************************************/
class String : public string
{
public:
	//	the static tokens
	static vector<String> Tokens;

	//	empty constructor
	String(){}
	//	constructor with a c string
	String(char * str) : string(str){}
	//	operator=
//	operator=(char *str){string::operator=(str);}
	//	check strings equlity
	bool operator==(char *str){return strcmp(c_str(),str)==0 ? true : false ;}
	//	erase last charcater in the string
	void operator--(int){erase(end()-1);}


	//	some methods inspired from the Java String class

	//	typecasting operators
	operator	const char *(){return c_str();}
	operator	char *(){return (char*)c_str();}
	void		Split(){Split((char*)c_str());}
	bool		StartWith(char* Head);
	
	//	this will Split the string into the static tokens
	static void Split(char * command);
	static void ReadLine(FILE * file,char * string);
	static void ReadTokenLine(FILE * file);


};
/*----------------end of class String------------------*/

#endif // _STRING_H_