#pragma once
#include ".\shape.h"


class CCylinderShape;

namespace nV
{
	class CylinderShape :
		public Shape
	{
		friend class ShapeMngr;
		friend class Body;

		CCylinderShape* pShape;

	protected:
		CylinderShape(CCylinderShape*);
		~CylinderShape(void);
	public:

		virtual nvReal GetBoundingRadius();
		virtual nvReal GetBoundingRadiusSqr();


		// get the type before u cast
		virtual Shape::eShapeType GetType();



		//////////////////////////////////////
		//CCylindeShape Specifics
		nvReal GetRadius();
		nvReal GetHeight();


	};
}