#pragma once
#include ".\shape.h"

class CPlaneShape;

namespace nV
{
	class PlaneShape :
		public Shape
	{
		friend class ShapeMngr;
		friend class Body;

		CPlaneShape* pShape;
	protected:
		PlaneShape(CPlaneShape*);
		~PlaneShape(void);

	public:

		virtual nvReal GetBoundingRadius();
		virtual nvReal GetBoundingRadiusSqr();


		// get the type before u cast
		virtual Shape::eShapeType GetType();

	};
}