#pragma once
#include ".\shape.h"

class CSphereShape;

namespace nV
{
	class SphereShape :
		public Shape
	{
		friend class ShapeMngr;
		friend class Body;

		CSphereShape* pShape;

	protected:

		SphereShape(CSphereShape*);
		~SphereShape(void);

	public:

		virtual nvReal GetBoundingRadius();
		virtual nvReal GetBoundingRadiusSqr();


		// get the type before u cast
		virtual Shape::eShapeType GetType();


		//////////////////////////////////////

		nvReal GetRadius();

	};
}