#ifndef _TWISTER_HELPER_FUNC_H
#define _TWISTER_HELPER_FUNC_H

#include "3d/math/math.h"
#include "3d/bsp/bspfile.h"
using namespace nV;


// some helper fu nctions to be used with TPE...
void ComputeTPEBodyTransform(nV::Body* pTPEBody,Matrix4& matrix);

void ComputeTPEGeomTransform(nV::Primitive* pTPEPrimitive,Matrix4& matrix);

void ComputeTPEPrimitiveTransform(nV::Primitive* pTPEPrimitive,Matrix4& matrix);


static PhysicsWorld *pTPEEngine=NULL;


// start TPE here
void BeginTPE();

// endit with this
void EndTPE();

float GetLastTimeStep();


void SetEngine(PhysicsWorld* pEngine);

int GetNumIterations();


class cTPECollidableBSPFile : public cBSPFile
{
public:

    void BuildCollisionTree(nV::TriMeshShape* pTriMesh);
    void BuildConvexes(PhysicsWorld* pEngine,vector<nV::ConvexShape*>& shapes);
};

/*


1.why extents in using box..
2.is there a way to reset the physics without recreating the engine
3.i cant destroy any body
4.i cant destroy any hinge, and no class access
5.not having gravity is silly..i have to add it to each body i create
6. in case a permanent force acts on a body it is never body space
7. creating a body, rotating it, then hinging it is problematic and not ok
8. i cant apply torque on bodies??





*/


#endif // _TWISTER_HELPER_FUNC_H
