#ifndef _TWISTER_OBJECT_3D_H_
#define _TWISTER_OBJECT_3D_H_

/********************************************************
*   object3d.h                                          *
*	By Shady El Mously									*
*	part of the Twister	3d engine						*
*   declaration file for the object3d class             *
********************************************************/
#include "../meshes/renderable.h"
#include "../math/math.h"

/********************************************************
*   class cObject3D declaration                         *
********************************************************/
class cObject3D : public iRenderable
{
private :

protected:

public :

    // the renderable mesh
    iRenderable*    m_pMesh;

    // the transformation matrix for this object
    Matrix4     m_Matrix;

    // constructor
    cObject3D();

    // destructor
    virtual ~cObject3D();

    // the rendering function
    void Render();
};
/*----------end of class cObject3D declaration---------*/
#endif // _TWISTER_OBJECT_3D_H_