#ifndef _TWISTER_BSPFACEMESH_H_
#define _TWISTER_BSPFACEMESH_H_
/********************************************************
*	bspfacemesh.h                                       *
* By Shady El Mously									*
* Part of the Twister 3d engine							*
* declaration file for the sBSPFaceMesh class			*
********************************************************/
#include "bspface.h"

/********************************************************
*	sBSPFaceMesh										*
*	Renders using indexes								*
* triangle list for non planaer faces					*
********************************************************/
struct sBSPFaceMesh : public sBSPFace
{
    unsigned int m_StartIndex;


    //	set the data..
    sBSPFaceMesh()
    {
    }

    //	Destroy the indices array
    ~sBSPFaceMesh()
    {
    }

    //	Render the mesh...
    inline void Render()
    {
        m_pTexture->Activate();
        m_pLightMap->Activate(1);
        pMesh->RenderIndexTrianglesRange(m_FirstVertexIndex,m_StartIndex,m_NumVertices);
    }
};
/*--------------end of sFaceMesh declaration-----------*/
#endif // _TWISTER_BSPFACEMESH_H_
