/****************************************************************
*	math.h														*
*	By Shady El Mously											*
*	header file for math package inside the twister 3d engine	*
*	this files just incldes all files in the math package in	*
*	the file where it will be included							*
****************************************************************/

#ifndef _TWSITER_MATH_H_
#define _TWSITER_MATH_H_


//	those are all the math files ...
#include "globals.h"
#include "vector2.h"
#include "vector3.h"
#include "vector4.h"
#include "segment.h"
#include "plane.h"
#include "quad.h"
#include "polygon.h"
#include "sphere.h"
#include "matrix4.h"
#include "matrix3.h"
#include "color3.h"
#include "color4.h"
#include "tri.h"
#include "vertex.h"
#include "raytrace.h"



#endif // _TWSITER_MATH_H_