#ifndef _TWISTER_TRI_
#define _TWISTER_TRI_
/****************************************************************
*	struct tri													*
*	a triangle, justa special case of the more general polygon	*
*	this triangle is the most basic drawn 3d primitive			*
*	it is also a templatized class								*
****************************************************************/

// a simple triangle..also a template class
template <class type>
struct tri 
{

    type v[3]; // Array access useful in for loops
	
	tri()
	{
		// nothing
	}

	tri( type v0, type v1, type v2 )
	{
		v[0] = v0;
		v[1] = v1;
		v[2] = v2;
	}
};

//	a tri of shorts
typedef tri<unsigned short> stri;

/*--------------end of struct triangle-------------------------*/
#endif // _TWISTER_TRI_