#ifndef _INDEXED_TEXMESH_H_
#define _INDEXED_TEXMESH_H_

/************************************************************
*	indexmesh.h												*
*	header declaration file for the indexed mesh class		*
************************************************************/
#include "indexmesh.h"


/************************************************************
*	struct sIndexedMesh										*
*	encapsulates an aray of vertices and an array of inidces*
*	and enables rendering them								*
* could be used as a base class for any indexed mesh		*
************************************************************/
struct sIndexedTexMesh : public sIndexedMesh
{
protected :


public:
	// default constructor
	sIndexedTexMesh();

	// default destructor
	~sIndexedTexMesh();


	// this optimizes the vertices..
	void OptimizeVertices();

	// compile
	void Compile();
};
/*-------------end of Indexed mesh declaration-------------*/
#endif // _INDEXED_MESH_H_