#ifndef _SIMPLE_3D_TEXMESH_H_
#define _SIMPLE_3D_TEXMESH_H_


/********************************************************
*	simpletexmesh.h										*
*	header declaration file for the simple 3d textured	*
*	mesh class											*
*	it is exactly as sSimpleMesh, but with texture		*
*	coordinates											*
********************************************************/
#include "mesh.h"
#include <d3d9.h>
#include <vector>

using std::vector;
/********************************************************
*	struct sSimpleTexMesh declaration					*
*	a simple mesh is simply a set of vertices, which are*
*	used to render sequentially, this class would act	*
*	as a base for the indexed mesh later				*
********************************************************/
struct sSimpleTexMesh : public sMesh
{

	// default constructor.. just make the default mode TRIANGLES
	sSimpleTexMesh();

	// destructor, relases the vertex buffer..
	~sSimpleTexMesh();

};
/*---------end of struct sSimpleTexMesh declaration-------*/



#endif // _SIMPLE_3D_TEXMESH_H_