#ifndef _TWSITER_PIXELSHADER_H_
#define _TWSITER_PIXELSHADER_H_
/****************************************************
*	pixelshader.h									*
*	header file for the vertex shader class			*
*	which eases loading/mannipulating a vertex		*
*	shader											*
****************************************************/
#include "shader.h"		//	base shader class
/****************************************************
*	class cPixelShader Declaration					*
****************************************************/
class cPixelShader : public cShader
{
public:
    cPixelShader(char* pFileName)
    {
        m_pInternalShader=MeshCompiler()->CreatePixelShader(pFileName);
    }
    // get the texture stage from a sample name
    int GetSamplerStage(char* pSamplerName)
    {
        return m_pInternalShader->GetSamplerStage(pSamplerName);
    }
};
/*------end of class cPixelShader declaration-----*/
#endif // _TWSITER_PIXELSHADER_H_